MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002101VCMIGUI - PreGamepublic2015-02-19 16:102016-11-11 08:22
ReporterMyau 
Assigned ToSXX 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSUbuntuOS Version14.04
Product Version0.97 
Target VersionFixed in Version0.98 
Summary0002101: Multiplayer chat does not work
DescriptionA chat window is avaliable for typing messages, but pressing Enter sends it to nowhere. The message just disappears.
Steps To ReproduceSelect "new game", "multiplayer", "server", wait a client to connect you and try to type a chat message.
Additional InformationI'm not shure another player connection is required for bug reproduction.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002057closedSXX Scrolling of custom campaign list mess up it 

-  Notes
(0005646)
SXX (administrator)
2015-03-13 14:23

So far as I see problem occur in "InfoCard::InfoCard".
chatHistory->addChild call here likely make label go under background.

Though if this call removed then there is still problem with chat history scrolling as well as glitch like with campaign list: 0002057
(0005649)
SXX (administrator)
2015-03-13 15:51

Fixed in git:
https://github.com/vcmi/vcmi/commit/67aa869a33675a647494cff456d0296726a14842 [^]

- Issue History
Date Modified Username Field Change
2015-02-19 16:10 Myau New Issue
2015-02-19 16:10 Myau Status new => assigned
2015-02-19 16:10 Myau Assigned To => Tow
2015-03-13 14:10 SXX Assigned To Tow => SXX
2015-03-13 14:23 SXX Note Added: 0005646
2015-03-13 14:52 SXX Relationship added related to 0002057
2015-03-13 15:51 SXX Note Added: 0005649
2015-03-13 15:51 SXX Status assigned => resolved
2015-03-13 15:51 SXX Fixed in Version => 0.98
2015-03-13 15:51 SXX Resolution open => fixed
2016-11-11 08:22 SXX Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean